function NewOpinions = FJ_UpdateOpinion(OldOpinions, AgentParameters, Current_Adj, InitialOpinions)

    Susceptibility_values = AgentParameters;
    Prejudice_values = ones(size(Susceptibility_values)) - Susceptibility_values;
    FG_Opinions = Current_Adj*OldOpinions;

    NewOpinions = (Susceptibility_values.*FG_Opinions) + (Prejudice_values.*InitialOpinions);

end